跳轉至

使用者 di_hash 查詢 API

此 API 用於查詢已通過成人驗證之使用者的 di_hash 值。

Request 資訊

項目 說明
正式 URL https://adult-auth.qpyou.cn/external/auth/di_hash
Sandbox URL https://sandbox-adult-auth.qpyou.cn/external/auth/di_hash
HTTP Method POST
Data Format JSON

HTTP Header

項目 說明
Content-Type application/json;charset=utf-8
Authorization Bearer
Bearer 權杖位置 [App Center > 專案管理 > 遊戲清單 - 選擇遊戲公司的遊戲 > 遊戲詳細資訊 > 基本資訊] 中的 Hive 驗證金鑰。

Request Body

名稱 類型 必填與否 (必填: M, 選填: O) 說明
gameindex Integer M App Center 遊戲 Index
user_id String M Hive 帳號資訊

Response elements

名稱 類型 必填與否 (必填: M, 選填: O) 說明
result_code Integer M 回應代碼
result_msg String M 依回應代碼而定的結果訊息
user_id String O Hive 帳號資訊
di_hash String O di_hash
verified_at String O 成人驗證時間

成人驗證完成使用者 di_hash 查詢範例

Request

查詢已完成成人驗證之使用者的 di_hash 時,請在請求中包含 gameindexuser_id

curl -L -v \
 -d '{"gameindex" : 539, "user_id": "30000056996"}' \
 -H "Content-Type: application/json" \
 -H "Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAyMDU2NzI2LCJqdGkiOiIxODczMTExMzIwIn0.3soFiHTPlObCoqR5xX9ZeOQTSvnHrHDHWmopP3QfWtY" \
 https://sandbox-adult-auth.qpyou.cn/external/auth/di_hash

Response

{
  "result_code": 0,
  "result_msg": "Success",
  "user_id": "30000056996",
  "di_hash": "0c7b9088fc80db0532e599ee444b176fb6dfeb035767f98cf960eb59777f04ce",
  "verified_at": "2026-04-27 15:35:03"
}

Response codes (API 伺服器)

代碼 說明 訊息
0 成功 Success
201 空請求 沒有請求參數。
202 無效的請求參數 請求參數不正確。
209 標頭驗證失敗 驗證資訊不一致。請再次確認您輸入的資訊。